package com.gh.gamecenter.qa.entity

import com.google.gson.annotations.SerializedName

/**
 * Created by khy on 11/12/17.
 */
class CommunitiesGameEntity {

    @SerializedName("_id")
    var id: String? = null

    var name: String? = null

    var icon: String? = null

    var relation: ArrayList<String> = arrayListOf()

    @SerializedName("ori_icon")
    var rawIcon: String? = null

    @SerializedName("icon_subscript")
    var iconSubscript: String? = null

    fun getRawIconIfExisted(): String {
        return rawIcon ?: icon ?: ""
    }

}